This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 1059947 - (CVE-2014-1833) CVE-2014-1833 devscripts: directory traversal flaw in uupdate
CVE-2014-1833 devscripts: directory traversal flaw in uupdate
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20140130,repor...
: Security
Depends On: 1059948
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-30 22:09 EST by Murray McAllister
Modified: 2015-01-13 03:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-12 17:31:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Murray McAllister 2014-01-30 22:09:45 EST
Jakub Wilk reported a directory traversal flaw in uupdate that "can trick uupdate into patching files outside the source package directory". A patch is not yet available.

Further details and a reproducer are available from http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=737160
Comment 1 Murray McAllister 2014-01-30 22:13:14 EST
CVE request: http://www.openwall.com/lists/oss-security/2014/01/31/7
Comment 2 Murray McAllister 2014-01-30 22:13:52 EST
Created devscripts tracking bugs for this issue:

Affects: fedora-20 [bug 1059948]
Comment 3 Fedora Update System 2014-10-28 02:39:55 EDT
devscripts-2.14.10-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2014-11-01 12:32:07 EDT
devscripts-2.14.10-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.